package realname

import (
	"go-common/app/interface/main/account/model"
)

var (
	cardTypeList = []*model.RealnameCardType{
		{ID: 0, Name: "身份证"},
		{ID: 2, Name: "港澳居民来往内地通行证"},
		{ID: 3, Name: "台湾居民来往大陆通行证"},
		{ID: 4, Name: "护照(中国签发)"},
		{ID: 5, Name: "外国人永久居留证"},
		{ID: 6, Name: "其他国家或地区身份证"},
	}
	// ios粉 <= 5.35版本兼容
	cardTypeOldIOSList = []*model.RealnameCardType{
		{ID: 0, Name: "身份证"},
		{ID: 1, Name: "护照(境外签发)"},
		{ID: 2, Name: "港澳居民来往内地通行证"},
		{ID: 3, Name: "台湾居民来往大陆通行证"},
		{ID: 4, Name: "护照(中国签发)"},
		{ID: 5, Name: "外国人永久居留证"},
		{ID: 6, Name: "其他国家或地区身份证"},
	}
	// 兼容老版本的证件列表
	cardTypeOldList = []*model.RealnameCardType{
		{ID: 0, Name: "身份证"},
		{ID: 1, Name: "护照(境外签发)"},
		{ID: 2, Name: "港澳居民来往内地通行证"},
		{ID: 3, Name: "台湾居民来往大陆通行证"},
		{ID: 4, Name: "护照(中国签发)"},
		{ID: 5, Name: "外国人永久居留证"},
	}

	countryList = []*model.RealnameCountry{
		// &model.RealnameCountry{ID: -1, CName: "---其他---"},
		// &model.RealnameCountry{ID: 0, CName: "---常见---"},
		{ID: 11, CName: "美国"},
		{ID: 12, CName: "加拿大"},
		{ID: 13, CName: "比利时"},
		{ID: 14, CName: "法国"},
		{ID: 15, CName: "澳大利亚"},
		{ID: 16, CName: "日本"},
		{ID: 17, CName: "新加坡"},
		{ID: 18, CName: "韩国"},
		{ID: 19, CName: "马来西亚"},
		{ID: 20, CName: "英国"},
		{ID: 21, CName: "意大利"},
		{ID: 22, CName: "德国"},
		{ID: 23, CName: "俄罗斯"},
		{ID: 24, CName: "新西兰"},
		{ID: 25, CName: "阿尔巴尼亚"},
		{ID: 26, CName: "阿尔及利亚"},
		{ID: 27, CName: "阿富汗"},
		{ID: 28, CName: "阿根廷"},
		{ID: 29, CName: "阿联酋"},
		{ID: 30, CName: "阿曼"},
		{ID: 31, CName: "阿塞拜疆"},
		{ID: 32, CName: "埃及"},
		{ID: 33, CName: "埃塞俄比亚"},
		{ID: 34, CName: "爱尔兰"},
		{ID: 35, CName: "爱沙尼亚"},
		{ID: 36, CName: "安道尔"},
		{ID: 37, CName: "安哥拉"},
		{ID: 38, CName: "安提瓜岛和巴布达"},
		{ID: 39, CName: "奥地利"},
		{ID: 40, CName: "巴巴多斯"},
		{ID: 41, CName: "巴布亚新几内亚"},
		{ID: 42, CName: "巴哈马群岛"},
		{ID: 43, CName: "巴基斯坦"},
		{ID: 44, CName: "巴拉圭"},
		{ID: 45, CName: "巴林"},
		{ID: 46, CName: "巴拿马"},
		{ID: 47, CName: "巴西"},
		{ID: 48, CName: "白俄罗斯"},
		{ID: 49, CName: "百慕大群岛"},
		{ID: 50, CName: "保加利亚"},
		{ID: 51, CName: "贝宁"},
		{ID: 52, CName: "冰岛"},
		{ID: 53, CName: "波多黎各"},
		{ID: 54, CName: "波黑"},
		{ID: 55, CName: "波兰"},
		{ID: 56, CName: "玻利维亚"},
		{ID: 57, CName: "伯利兹"},
		{ID: 58, CName: "博茨瓦纳"},
		{ID: 59, CName: "不丹"},
		{ID: 60, CName: "布基纳法索"},
		{ID: 61, CName: "布隆迪"},
		{ID: 62, CName: "赤道几内亚"},
		{ID: 63, CName: "丹麦"},
		{ID: 64, CName: "迪戈加西亚岛"},
		{ID: 65, CName: "多哥"},
		{ID: 66, CName: "多米尼加"},
		{ID: 67, CName: "多米尼加代表"},
		{ID: 68, CName: "厄瓜多尔"},
		{ID: 69, CName: "厄立特里亚"},
		{ID: 70, CName: "法罗岛"},
		{ID: 71, CName: "法属波利尼西亚"},
		{ID: 72, CName: "法属圭亚那"},
		{ID: 73, CName: "非洲中部"},
		{ID: 74, CName: "菲律宾"},
		{ID: 75, CName: "斐济"},
		{ID: 76, CName: "芬兰"},
		{ID: 77, CName: "佛得角"},
		{ID: 78, CName: "福克兰岛"},
		{ID: 79, CName: "冈比亚"},
		{ID: 80, CName: "刚果"},
		{ID: 81, CName: "刚果CName:(金)"},
		{ID: 82, CName: "哥伦比亚"},
		{ID: 83, CName: "哥斯达黎加"},
		{ID: 84, CName: "格林纳达"},
		{ID: 85, CName: "格陵兰岛"},
		{ID: 86, CName: "古巴"},
		{ID: 87, CName: "瓜德罗普岛"},
		{ID: 88, CName: "关岛"},
		{ID: 89, CName: "海地"},
		{ID: 90, CName: "韩国"},
		{ID: 91, CName: "荷兰"},
		{ID: 92, CName: "洪都拉斯"},
		{ID: 93, CName: "维克岛"},
		{ID: 94, CName: "基里巴斯"},
		{ID: 95, CName: "吉布提"},
		{ID: 96, CName: "吉尔吉斯斯坦"},
		{ID: 97, CName: "几内亚"},
		{ID: 98, CName: "几内亚比绍"},
		{ID: 99, CName: "加纳"},
		{ID: 100, CName: "加蓬"},
		{ID: 101, CName: "柬埔寨"},
		{ID: 102, CName: "捷克"},
		{ID: 103, CName: "津巴布韦"},
		{ID: 104, CName: "聚会岛"},
		{ID: 105, CName: "喀麦隆"},
		{ID: 106, CName: "卡塔尔"},
		{ID: 107, CName: "开曼群岛"},
		{ID: 108, CName: "科摩罗"},
		{ID: 109, CName: "科威特"},
		{ID: 110, CName: "克罗地亚"},
		{ID: 111, CName: "肯尼亚"},
		{ID: 112, CName: "库克岛"},
		{ID: 113, CName: "拉脱维亚"},
		{ID: 114, CName: "莱索托"},
		{ID: 115, CName: "老挝"},
		{ID: 116, CName: "黎巴嫩"},
		{ID: 117, CName: "立陶宛"},
		{ID: 118, CName: "利比里亚"},
		{ID: 119, CName: "利比亚"},
		{ID: 120, CName: "卢森堡"},
		{ID: 121, CName: "卢旺达"},
		{ID: 122, CName: "罗马尼亚"},
		{ID: 123, CName: "马达加斯加"},
		{ID: 124, CName: "马尔代夫"},
		{ID: 125, CName: "马耳他"},
		{ID: 126, CName: "马拉维"},
		{ID: 127, CName: "马里"},
		{ID: 128, CName: "马里亚纳岛"},
		{ID: 129, CName: "马其顿"},
		{ID: 130, CName: "马提尼克岛"},
		{ID: 131, CName: "马歇尔岛"},
		{ID: 132, CName: "毛里求斯"},
		{ID: 133, CName: "毛利塔尼亚"},
		{ID: 134, CName: "蒙古"},
		{ID: 135, CName: "蒙特塞拉特岛"},
		{ID: 136, CName: "孟加拉国"},
		{ID: 137, CName: "秘鲁"},
		{ID: 138, CName: "密克罗尼西亚"},
		{ID: 139, CName: "缅甸"},
		{ID: 140, CName: "摩尔多瓦"},
		{ID: 141, CName: "摩洛哥"},
		{ID: 142, CName: "摩纳哥"},
		{ID: 143, CName: "莫桑比克"},
		{ID: 144, CName: "墨西哥"},
		{ID: 145, CName: "纳米比亚"},
		{ID: 146, CName: "南非"},
		{ID: 147, CName: "南斯拉夫"},
		{ID: 148, CName: "瑙鲁"},
		{ID: 149, CName: "尼泊尔"},
		{ID: 150, CName: "尼加拉瓜"},
		{ID: 151, CName: "尼日尔"},
		{ID: 152, CName: "尼日利亚"},
		{ID: 153, CName: "纽埃岛"},
		{ID: 154, CName: "挪威"},
		{ID: 155, CName: "诺福克岛"},
		{ID: 156, CName: "帕劳"},
		{ID: 157, CName: "葡萄牙"},
		{ID: 158, CName: "瓦利斯群岛和富图纳群岛"},
		{ID: 159, CName: "格鲁吉亚"},
		{ID: 160, CName: "瑞典"},
		{ID: 161, CName: "瑞士"},
		{ID: 162, CName: "萨尔瓦多"},
		{ID: 163, CName: "萨摩亚、西部"},
		{ID: 164, CName: "萨摩亚、东部"},
		{ID: 165, CName: "塞拉利昂"},
		{ID: 166, CName: "塞内加尔"},
		{ID: 167, CName: "塞浦路斯"},
		{ID: 168, CName: "塞舌尔共和国"},
		{ID: 169, CName: "桑给巴尔岛"},
		{ID: 170, CName: "沙特阿拉伯"},
		{ID: 171, CName: "圣多美和普林西比"},
		{ID: 172, CName: "圣卢西亚"},
		{ID: 173, CName: "圣马力诺"},
		{ID: 174, CName: "圣皮埃尔和密克隆群岛"},
		{ID: 175, CName: "斯里兰卡"},
		{ID: 176, CName: "斯洛伐克"},
		{ID: 177, CName: "斯洛文尼亚"},
		{ID: 178, CName: "斯威士兰"},
		{ID: 179, CName: "苏丹"},
		{ID: 180, CName: "苏里南"},
		{ID: 181, CName: "所罗门群岛"},
		{ID: 182, CName: "索马里"},
		{ID: 183, CName: "泰国"},
		{ID: 184, CName: "坦桑尼亚"},
		{ID: 185, CName: "汤加"},
		{ID: 186, CName: "特克斯和凯科斯"},
		{ID: 187, CName: "特立尼达和多巴哥"},
		{ID: 188, CName: "阿森松岛"},
		{ID: 189, CName: "突尼斯"},
		{ID: 190, CName: "图瓦卢"},
		{ID: 191, CName: "土耳其"},
		{ID: 192, CName: "土库曼斯坦"},
		{ID: 193, CName: "托克劳岛"},
		{ID: 194, CName: "瓦努阿图"},
		{ID: 195, CName: "维珍群岛:(美属)"},
		{ID: 196, CName: "维珍群岛:(英属)"},
		{ID: 197, CName: "委内瑞拉"},
		{ID: 198, CName: "文莱"},
		{ID: 199, CName: "乌干达"},
		{ID: 200, CName: "乌克兰"},
		{ID: 201, CName: "乌拉圭"},
		{ID: 202, CName: "乌兹别克斯坦"},
		{ID: 203, CName: "西班牙"},
		{ID: 204, CName: "希腊"},
		{ID: 205, CName: "科特迪瓦"},
		{ID: 206, CName: "匈牙利"},
		{ID: 207, CName: "叙利亚"},
		{ID: 208, CName: "牙买加"},
		{ID: 209, CName: "亚美尼亚"},
		{ID: 210, CName: "也门"},
		{ID: 211, CName: "伊拉克"},
		{ID: 212, CName: "伊朗"},
		{ID: 213, CName: "以色列"},
		{ID: 214, CName: "印度"},
		{ID: 215, CName: "印尼"},
		{ID: 216, CName: "约旦"},
		{ID: 217, CName: "越南"},
		{ID: 218, CName: "赞比亚"},
		{ID: 219, CName: "乍得"},
		{ID: 220, CName: "直布罗陀"},
		{ID: 221, CName: "智利"},
	}
)
